
edit:completion:arg-completer[peertube-viewer-rs] = [@words]{
    fn spaces [n]{
        repeat $n ' ' | joins ''
    }
    fn cand [text desc]{
        edit:complex-candidate $text &display-suffix=' '(spaces (- 14 (wcswidth $text)))$desc
    }
    command = 'peertube-viewer-rs'
    for word $words[1:-1] {
        if (has-prefix $word '-') {
            break
        }
        command = $command';'$word
    }
    completions = [
        &'peertube-viewer-rs'= {
            cand --player-args 'arguments to be passed to the player'
            cand -p 'player to play the videos with'
            cand --player 'player to play the videos with'
            cand --torrent-downloader 'choose the torrent software to download the videos with'
            cand --torrent-downloader-args 'arguments to be passed to the torrent downloader'
            cand -i 'instance to be browsed'
            cand --instance 'instance to be browsed'
            cand -c 'Sets a custom config file'
            cand --config 'Sets a custom config file'
            cand --use-raw-url 'the raw url will be passed to the player. It may be neccessary for players without native support for peertube such as vlc. Some players (ex : mpv) may be able to show the video title in their interface if this option isn''t used'
            cand --print-default-config 'print the default confing to stdout and exit'
            cand --print-full-example-config 'print an example of all possible config options and exit'
            cand -s 'When playing a video with this option, the user will be prompted to chose the video quality'
            cand --select-quality 'When playing a video with this option, the user will be prompted to chose the video quality'
            cand --use-torrent 'will download the video via the torrent downloader instead of playing it'
            cand -h 'Prints help information'
            cand --help 'Prints help information'
            cand -V 'Prints version information'
            cand --version 'Prints version information'
        }
    ]
    $completions[$command]
}
